/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"long_char.h"
#include	"memory_debug.h"

CODE_ABB * abb_head;
CODE_ABB * abb_tail;

void
insert_code_abb(char * name,L_CHAR lccode,CODE_METHOD * cm)
{
CODE_ABB * a;
	a = d_alloc(sizeof(*a));
	a->next = 0;
	a->lccode = lccode;
	a->cm = cm;
	strcpy(a->name,name);
	if ( abb_head ) {
		abb_tail->next = a;
		abb_tail = a;
	}
	else abb_head = abb_tail = a;
}
